## gcc-defaults 1.59ubuntu2

=== debian/changelog ===
gcc-defaults (1.59ubuntu2) gutsy; urgency=low

  * gcj: Install gc-analyze symlinks.
  * libgcj-common: Update classmap db's for gcj-4.3 as well.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Sep 2007 02:21:16 +0200

gcc-defaults (1.59ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc packages.
    - Add fsf-funding(7).
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Sep 2007 09:34:43 +0000

gcc-defaults (1.59) unstable; urgency=low

  * Make GCJ-4.2 the default on hppa.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Aug 2007 00:58:50 +0200

gcc-defaults (1.58ubuntu2) gutsy; urgency=low

  * Keep gnat-4.1 as the default for lpia.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Aug 2007 16:39:54 +0200

gcc-defaults (1.58ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Aug 2007 14:22:35 +0200

gcc-defaults (1.58) unstable; urgency=low

  * Keep GCJ-4.1 as the default for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Aug 2007 13:29:19 +0200

gcc-defaults (1.57) unstable; urgency=low

  * Fix version requirement in libgcj-bc shlibs file.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Aug 2007 17:02:34 +0200

gcc-defaults (1.56) unstable; urgency=medium

  * Revert gnat to depend on gnat-4.1 as the transition to gnat-4.2
    has not yet started.  Closes: #431103.
  * Don't provide the gccbug symlinks anymore.
  * Don't build gnat for armel. Closes: #408808.
  * Don't install gij-wrapper symlink. Closes LP: #118464.
  * Add symlink for grmic.
  * Keep GCC-4.1 as the default for C, C++, ObjC, ObjC++.
  * GCJ-4.2 is the default for all architectures but hppa and m68k.
  * Don't build the lib32gcj-bc package anymore.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Aug 2007 00:40:47 +0200

gcc-defaults (1.55) experimental; urgency=low

  * Make GCC-4.2 the default for Java.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jul 2007 23:44:36 +0200

gcc-defaults (1.54) experimental; urgency=low

  * Lower the priority of the -multilib packages.
  * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran.
  * Support kfreebsd-amd64. Closes: #423166.
  * Re-add gcjh binary. Closes: #423740.

 -- Matthias Klose <doko@debian.org>  Sat, 26 May 2007 16:33:24 +0200

gcc-defaults (1.52ubuntu3) gutsy; urgency=low

  * gcj: Really include the gjar symlink.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Jul 2007 16:36:03 +0200

gcc-defaults (1.52ubuntu2) gutsy; urgency=low

  * gcj: Add symlinks for gjar, gjavah, gjarsigner, grmic.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Jul 2007 12:19:40 +0200

gcc-defaults (1.52ubuntu1) gutsy; urgency=low

  * Make GCC-4.2 the default for gij/gcj/gfortran on all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Jul 2007 14:20:12 +0200

gcc-defaults (1.52) unstable; urgency=medium

  * Add multilib packages for gcc, g++, gobjc, gobjc++, gfortran.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2007 23:10:56 +0200

gcc-defaults (1.51ubuntu7) gutsy; urgency=low

  * Make GCC-4.2 the default for gij/gcj on lpia.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2007 15:01:12 +0200

gcc-defaults (1.51ubuntu6) gutsy; urgency=low

  * Add lpia to the gnat architecture list, so we don't FTBFS on lpia.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon,  9 Jul 2007 12:55:37 +0100

gcc-defaults (1.51ubuntu5) gutsy; urgency=low

  * Add support for lpia; make GCC-4.2 the default for gcc, g++,
    gobjc, gobjc++, gfortran.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2007 15:21:37 +0200

gcc-defaults (1.51ubuntu4) gutsy; urgency=low

  * g++-multilib, gobjc-multilib, gfortran-multilib: Depend on gcc-multilib.
  * gobjc++-multilib: Depend on g++-multilib, gobjc-multilib.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 May 2007 14:59:50 +0200

gcc-defaults (1.51ubuntu3) gutsy; urgency=low

  * libgcj-bc: Depend on libgcj7-1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2007 16:18:25 +0200

gcc-defaults (1.51ubuntu2) gutsy; urgency=low

  * Add multilib packages for gcc, g++, gobjc, gobjc++, gfortran.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Apr 2007 07:41:03 +0200

gcc-defaults (1.51) experimental; urgency=low

  * Depend on the 4.1.2 final release.
  * Set priority of development packages to optional.
  * Merge from Ubuntu:
    - Tighten dependencies for ecj-generics backport.
    - gcj: Drop gcjh, gcjh-wrapper, gjnih, add gjavah, gtnameserv.
    - gij: Add gorbd, grmid, gserialver.
    - gij/gcj: Add links for manpages for the classpath tools.
  * Bump debhelper compatibility to v5.
  * Bump libgcj-common to a 4.2 version, previously built by gcc-4.2.

 -- Matthias Klose <doko@debian.org>  Sun,  4 Mar 2007 12:30:54 +0100
