=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# version number of the defaults package
VDEF	:= $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))

VMAJOR	:= $(shell echo $(VDEF) | awk -F. '{print $$1}')
VMINOR	:= $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
REL_EXT	:= $(shell echo $(VDEF) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')

# gcc-defaults 0.8 is the first version for 2.95.4.
REL_NO_295	:= $(shell expr $(VMINOR) + 15)$(REL_EXT)
# gcc-defaults 0.6 is the first version with 2.96 support.
REL_NO_296	:= $(shell expr $(VMINOR) + 17)$(REL_EXT)
# gcc-defaults 0.17 is the first version with 3.0.4 support.
REL_NO_30	:= $(shell expr $(VMINOR) + 6)$(REL_EXT)
# gcc-defaults 1.0 is the first version with 3.1 support.
REL_NO_31	:= $(shell expr $(VMINOR) + 1)$(REL_EXT)
# gcc-defaults 1.2 is the first version with 3.2 support.
REL_NO_32	:= $(shell expr $(VMINOR) - 1)$(REL_EXT)
# gcc-defaults 1.3 is the first version with 3.2.2 support.
REL_NO_322	:= $(shell expr $(VMINOR) - 3)$(REL_EXT)
# gcc-defaults 1.4 is the first version with 3.2.3 support.
REL_NO_323	:= $(shell expr $(VMINOR) - 4)$(REL_EXT)
# gcc-defaults 1.5 is the first version with 3.3 support.
REL_NO_33	:= $(shell expr $(VMINOR) - 5)$(REL_EXT)
# gcc-defaults 1.7 is the first version with 3.3.1 support.
REL_NO_331	:= $(shell expr $(VMINOR) - 7)$(REL_EXT)
# gcc-defaults 1.10 is the first version with 3.3.2 support.
REL_NO_332	:= $(shell expr $(VMINOR) - 9)$(REL_EXT)
# gcc-defaults 1.13 is the first version with 3.3.3 support.
REL_NO_333	:= $(shell expr $(VMINOR) - 12)$(REL_EXT)
# gcc-defaults 1.16 is the first version with 3.3.4 support.
REL_NO_334	:= $(shell expr $(VMINOR) - 15)$(REL_EXT)
# gcc-defaults 1.19 is the first version with 3.3.5 support.
REL_NO_335	:= $(shell expr $(VMINOR) - 18)$(REL_EXT)
# gcc-defaults 1.22 is the first version with 3.3.6 support.
REL_NO_336     := $(shell expr $(VMINOR) - 21)$(REL_EXT)

# gcc-defaults 1.22 is the first version with 3.4.3 support.
REL_NO_343	:= $(shell expr $(VMINOR) - 21)$(REL_EXT)
# gcc-defaults 1.23 is the first version with 3.4.4 support.
REL_NO_344	:= $(shell expr $(VMINOR) - 23)$(REL_EXT)
# gcc-defaults 1.30 is the first version with 3.4.5 support.
REL_NO_345	:= $(shell expr $(VMINOR) - 29)$(REL_EXT)
# gcc-defaults 1.32 is the first version with 3.4.5 support.
REL_NO_346	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)

# gcc-defaults 1.23 is the first version with 4.0.0 support.
REL_NO_400	:= $(shell expr $(VMINOR) - 22)$(REL_EXT)
# gcc-defaults 1.26 is the first version with 4.0.1 support.
REL_NO_401	:= $(shell expr $(VMINOR) - 25)$(REL_EXT)
# gcc-defaults 1.29 is the first version with 4.0.2 support.
REL_NO_402	:= $(shell expr $(VMINOR) - 28)$(REL_EXT)
# gcc-defaults 1.32 is the first version with 4.0.3 support.
REL_NO_403	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)

# gcc-defaults 1.33 is the first version with 4.1.0 support.
REL_NO_410	:= $(shell expr $(VMINOR) - 33)$(REL_EXT)
# gcc-defaults 1.36 is the first version with 4.1.1 support.
REL_NO_411	:= $(shell expr $(VMINOR) - 35)$(REL_EXT)
# gcc-defaults 1.51 is the first version with 4.1.2 support.
REL_NO_412	:= $(shell expr $(VMINOR) - 50)$(REL_EXT)

# gcc-defaults 1.54 is the first version with 4.2.0 support.
REL_NO_420	:= $(shell expr $(VMINOR) - 54)$(REL_EXT)

# gcc-defaults 1.56 is the first version with 4.2.0 support.
REL_NO_421	:= $(shell expr $(VMINOR) - 55)$(REL_EXT)

GPC_VERSION	:= 2.1

# minimum required gcc-X.Y versions
REQV_295	:= (>= 1:2.95.4-16)
REQV_296	:= 
REQV_30		:= (>= 1:3.0.4-12)
REQV_32		:= (>= 1:3.2.3-1)
REQV_33		:= (>= 1:3.3.6-1)
REQV_GPC_33	:= (>= 1:3.3.6.$(GPC_DATE)-1)
REQV_34		:= (>= 3.4.6-1)
REQV_40		:= (>= 4.0.3-1)
REQV_41		:= (>= 4.1.2-1)
REQV_41_GCJ	:= (>= 4.1.2-1)
REQV_42		:= (>= 4.2.1-3)
REQV_42_GCJ	:= (>= 4.2.1-5)

REQV_LIBGCJ_BC	:= (>= 4.2.1-1)

# architecture dependent variables
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# CV_XXX is the complete version number, including the release, without epoch
CV_CHILL:= 2.95.4-$(REL_NO_295)
CV_GPC	:= 3.4.6-$(REL_NO_346)

CV_CPP		:= 4.1.2-$(REL_NO_412)
CV_GCC		:= 4.1.2-$(REL_NO_412)
CV_GPP		:= 4.1.2-$(REL_NO_412)
CV_GOBJC	:= 4.1.2-$(REL_NO_412)
CV_GOBJCXX	:= 4.1.2-$(REL_NO_412)
CV_G77		:= 3.4.6-$(REL_NO_346)
CV_GFORT	:= 4.2.1-$(REL_NO_421)
CV_GCJ		:= 4.2.1-$(REL_NO_421)
CV_GIJ		:= 4.2.1-$(REL_NO_421)
CV_LIBGCJBC	:= 4.2.1-$(REL_NO_421)
CV_GNAT		:= 4.1.2-$(REL_NO_412)
CV_LIBGCJCOMMON	:= 1:4.2.1-$(REL_NO_421)

REQV_CHILL	= $(REQV_295)
REQV_GPC	= $(REQV_34)

REQV_CPP	= $(REQV_41)
REQV_GCC	= $(REQV_41)
REQV_GPP	= $(REQV_41)
REQV_GOBJC	= $(REQV_41)
REQV_GOBJCXX	= $(REQV_41)
REQV_G77	= $(REQV_34)
REQV_GFORT	= $(REQV_42)
REQV_GCJ	= $(REQV_42_GCJ)
REQV_GIJ	= $(REQV_42_GCJ)
REQV_GPC	= $(REQV_34)

EPOCH=4
OS_NAME	:= Linux
distribution := $(shell lsb_release -is)
all_packages	:= gnat g++ g77 gfortran gcj gobjc gobjc++ gpc
no_packages	:= chill

LIBGCJ		= libgcj8-1
LIBGCJ_PC	= libgcj8.pc
LIBGCJ_SONAME	= 81

ifneq ($(distribution)-$(DEB_HOST_ARCH),Debian-amd64)
  lib32         = usr/lib32
else
  lib32         = emul/ia32-linux/usr/lib
endif

gcj_archs = alpha amd64 hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc
gcj_native_archs = alpha amd64 i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc
multilib_archs = amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc

ifneq (,$(filter $(DEB_HOST_ARCH), $(multilib_archs)))
  with_multilib = yes
endif

with_gfdl_docs := no
ifeq ($(distribution),Ubuntu)
  with_gfdl_docs := yes
endif

ifeq ($(DEB_HOST_ARCH),alpha)
    CV_GCJ_HACKED	:= 4.1.2-$(REL_NO_412)
    CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
    REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
    REQV_GCJ	= $(REQV_41)
    REQV_GIJ	= $(REQV_41)
    LIBGCJ		= libgcj7-1
    LIBGCJ_PC	= libgcj7.pc
    LIBGCJ_SONAME	= 71
endif

ifeq ($(DEB_HOST_ARCH),amd64)
endif

ifeq ($(DEB_HOST_ARCH),arm)
    no_packages += gnat
endif

ifeq ($(DEB_HOST_ARCH),armel)
    no_packages += gnat g77 g77-doc
    CV_GOBJC		:= 4.1.2-$(REL_NO_412)
    CV_GOBJCXX		:= 4.1.2-$(REL_NO_412)
    REQV_GOBJC		= $(REQV_41)
    REQV_GOBJCXX	= $(REQV_41)
endif

ifeq ($(DEB_HOST_ARCH),hppa)
endif

ifeq ($(DEB_HOST_ARCH),i386)
endif

ifeq ($(DEB_HOST_ARCH),hurd-i386)
    OS_NAME	:= Hurd
    no_packages += gnat gcj gij
endif

ifeq ($(DEB_HOST_ARCH),ia64)
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
    OS_NAME	:= kFreeBSD
endif

ifeq ($(DEB_HOST_ARCH),lpia)
	CV_GNAT		:= 4.2.1-$(REL_NO_421)
	CV_GNAT_HACKED	:= 4.1.2-$(REL_NO_412)
	CV_CPP		:= 4.2.1-$(REL_NO_421)
	CV_GCC		:= 4.2.1-$(REL_NO_421)
	CV_GPP		:= 4.2.1-$(REL_NO_421)
	CV_GOBJC	:= 4.2.1-$(REL_NO_421)
	CV_GOBJCXX	:= 4.2.1-$(REL_NO_421)

	REQV_CPP	= $(REQV_42)
	REQV_GCC	= $(REQV_42)
	REQV_GPP	= $(REQV_42)
	REQV_GOBJC	= $(REQV_42)
	REQV_GOBJCXX	= $(REQV_42)
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
    OS_NAME	:= kFreeBSD
    no_packages += gnat
endif

ifeq ($(DEB_HOST_ARCH),m32r)
    no_packages += gnat
endif

ifeq ($(DEB_HOST_ARCH),m68k)
    no_packages += gnat
    CV_GCJ		:= 4.2.1-$(REL_NO_412)
    CV_GIJ		:= 4.2.1-$(REL_NO_412)
    CV_GCJ_HACKED	:= 4.1.2-$(REL_NO_412)
    CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
    CV_LIBGCJBC		:= 4.2.1-$(REL_NO_412)
    CV_LIBGCJCOMMON	:= 1:4.2-20070303-$(REL_NO_412)
    REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
    REQV_GCJ	= $(REQV_41)
    REQV_GIJ	= $(REQV_41)
    LIBGCJ		= libgcj7-1
    LIBGCJ_PC	= libgcj7.pc
    LIBGCJ_SONAME	= 71
endif

ifeq ($(DEB_HOST_ARCH),mips)
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
endif

ifeq ($(DEB_HOST_ARCH),netbsd-i386)
    OS_NAME	:= NetBSD
    no_packages += gnat
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
endif

ifeq ($(DEB_HOST_ARCH),s390)
endif

tmp:=$(filter $(DEB_HOST_ARCH),sh3-linux sh4-linux sh3eb-linux sh4eb-linux)
ifeq ($(DEB_HOST_ARCH),$(tmp))
    no_packages += gnat g77 gfortran gcj gpc
endif

ifeq ($(DEB_HOST_ARCH),sparc)
endif

ifneq (,$(findstring gnat, $(no_packages)))
    no_packages += gnat-doc
