## gcc-defaults 1.62ubuntu3

=== debian/changelog ===
gcc-defaults (1.62ubuntu3) hardy; urgency=low

  * Depend on the packages of the GCC-4.2.3 release.
  * gcc: Remove dangling FAQ symlink. Closes: #453812.
  * gij: Update conflict with java-gcj-compat,
    provide java*-runtime-headless instead of java*-runtime.
  * libgnatvsn-dev, libgnatprj-dev: new packages; depend on the
    corresponding packages from gnat-4.2.
  * gdc: Make gdc-4.2 the default.
 
 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Feb 2008 14:42:49 +0100

gcc-defaults (1.62ubuntu2) hardy; urgency=low

  * Add gdc, make gdc-4.1 the default (Arthur Loiret).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2008 13:54:53 +0100

gcc-defaults (1.62ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Source tarball including the man7 manpages.
    - Build the -doc packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Oct 2007 10:15:20 +0200

gcc-defaults (1.62) unstable; urgency=low

  [Matthias Klose]
  * Dont build libgcj-bc on the Hurd (Michael Banck). Closes: #445279.
  * (Build-)depend on gcc-4.2 (>= 4.2.2-3).
  * Make gpc-2.1 based on GCC-4.1 the default.

  [Ludovic Brenta]
  * Make gnat-4.2 the default (instead of gnat-4.1).

 -- Matthias Klose <doko@debian.org>  Fri, 19 Oct 2007 12:39:43 +0200

gcc-defaults (1.61) unstable; urgency=medium

  * libgcj-common: Update classmap db's for gcj-4.3 as well.
  * Do not build g77 and g77-doc for armel.
  * gcj: Install gc-analyze symlinks where the default is >= 4.2.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Sep 2007 02:41:40 +0200

gcc-defaults (1.60) unstable; urgency=low

  * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran for
    all architectures except m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Sep 2007 11:56:19 +0200
