=== debian/rules ===
--- 
+++ 
@@ -66,11 +66,15 @@
 
 # gcc-defaults 1.54 is the first version with 4.2.0 support.
 REL_NO_420	:= $(shell expr $(VMINOR) - 54)$(REL_EXT)
-
-# gcc-defaults 1.56 is the first version with 4.2.0 support.
+# gcc-defaults 1.56 is the first version with 4.2.1 support.
 REL_NO_421	:= $(shell expr $(VMINOR) - 55)$(REL_EXT)
+# gcc-defaults 1.62 is the first version with 4.2.2 support.
+REL_NO_422	:= $(shell expr $(VMINOR) - 61)$(REL_EXT)
+# gcc-defaults 1.62 is the first version with 4.2.3 support.
+REL_NO_423	:= $(shell expr $(VMINOR) - 61)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
+GDC_VERSION	:= 0.25
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -83,10 +87,13 @@
 REQV_40		:= (>= 4.0.3-1)
 REQV_41		:= (>= 4.1.2-1)
 REQV_41_GCJ	:= (>= 4.1.2-1)
-REQV_42		:= (>= 4.2.1-3)
-REQV_42_GCJ	:= (>= 4.2.1-5)
-
-REQV_LIBGCJ_BC	:= (>= 4.2.1-1)
+REQV_41_GPC	:= (>= $(GPC_VERSION)-4.1.2-16)
+REQV_42		:= (>= 4.2.3-1)
+REQV_42_GCJ	:= (>= 4.2.3-1)
+REQV_41_GDC	:= (>= $(GDC_VERSION)-4.1.2-18)
+REQV_42_GDC	:= (>= $(GDC_VERSION)-4.2.3-0)
+
+REQV_LIBGCJ_BC	:= (>= 4.2.3-1)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -96,37 +103,42 @@
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP		:= 4.1.2-$(REL_NO_412)
-CV_GCC		:= 4.1.2-$(REL_NO_412)
-CV_GPP		:= 4.1.2-$(REL_NO_412)
-CV_GOBJC	:= 4.1.2-$(REL_NO_412)
-CV_GOBJCXX	:= 4.1.2-$(REL_NO_412)
+CV_CPP		:= 4.2.3-$(REL_NO_423)
+CV_GCC		:= 4.2.3-$(REL_NO_423)
+CV_GPP		:= 4.2.3-$(REL_NO_423)
+CV_GOBJC	:= 4.2.3-$(REL_NO_423)
+CV_GOBJCXX	:= 4.2.3-$(REL_NO_423)
 CV_G77		:= 3.4.6-$(REL_NO_346)
-CV_GFORT	:= 4.2.1-$(REL_NO_421)
-CV_GCJ		:= 4.2.1-$(REL_NO_421)
-CV_GIJ		:= 4.2.1-$(REL_NO_421)
-CV_LIBGCJBC	:= 4.2.1-$(REL_NO_421)
-CV_GNAT		:= 4.1.2-$(REL_NO_412)
-CV_LIBGCJCOMMON	:= 1:4.2.1-$(REL_NO_421)
+CV_GFORT	:= 4.2.3-$(REL_NO_423)
+CV_GCJ		:= 4.2.3-$(REL_NO_423)
+CV_GIJ		:= 4.2.3-$(REL_NO_423)
+CV_LIBGCJBC	:= 4.2.3-$(REL_NO_423)
+CV_GNAT		:= 4.2.3-1
+CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
+CV_GDC		:= 4.2.3-$(REL_NO_423)
+CV_LIBGCJCOMMON	:= 1:4.2.3-$(REL_NO_423)
 
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_34)
 
-REQV_CPP	= $(REQV_41)
-REQV_GCC	= $(REQV_41)
-REQV_GPP	= $(REQV_41)
-REQV_GOBJC	= $(REQV_41)
-REQV_GOBJCXX	= $(REQV_41)
+REQV_CPP	= $(REQV_42)
+REQV_GCC	= $(REQV_42)
+REQV_GPP	= $(REQV_42)
+REQV_GOBJC	= $(REQV_42)
+REQV_GOBJCXX	= $(REQV_42)
 REQV_G77	= $(REQV_34)
 REQV_GFORT	= $(REQV_42)
 REQV_GCJ	= $(REQV_42_GCJ)
 REQV_GIJ	= $(REQV_42_GCJ)
-REQV_GPC	= $(REQV_34)
+REQV_GPC	= $(REQV_41_GPC)
+REQV_GDC	= $(REQV_42_GDC)
+REQV_GNAT	= $(REQV_42)
 
 EPOCH=4
+EPOCH_GPC=5
 OS_NAME	:= Linux
 distribution := $(shell lsb_release -is)
-all_packages	:= gnat g++ g77 gfortran gcj gobjc gobjc++ gpc
+all_packages	:= gnat g++ g77 gfortran gcj gobjc gobjc++ gpc gdc
 no_packages	:= chill
 
 LIBGCJ		= libgcj8-1
@@ -186,7 +198,7 @@
 
 ifeq ($(DEB_HOST_ARCH),hurd-i386)
     OS_NAME	:= Hurd
-    no_packages += gnat gcj gij
+    no_packages += gnat gcj gij libgcj-bc
 endif
 
 ifeq ($(DEB_HOST_ARCH),ia64)
@@ -197,19 +209,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH),lpia)
-	CV_GNAT		:= 4.2.1-$(REL_NO_421)
-	CV_GNAT_HACKED	:= 4.1.2-$(REL_NO_412)
-	CV_CPP		:= 4.2.1-$(REL_NO_421)
-	CV_GCC		:= 4.2.1-$(REL_NO_421)
-	CV_GPP		:= 4.2.1-$(REL_NO_421)
-	CV_GOBJC	:= 4.2.1-$(REL_NO_421)
-	CV_GOBJCXX	:= 4.2.1-$(REL_NO_421)
-
-	REQV_CPP	= $(REQV_42)
-	REQV_GCC	= $(REQV_42)
-	REQV_GPP	= $(REQV_42)
-	REQV_GOBJC	= $(REQV_42)
-	REQV_GOBJCXX	= $(REQV_42)
+    CV_GNAT     := 4.2.3-1
 endif
 
 ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
@@ -223,12 +223,22 @@
 
 ifeq ($(DEB_HOST_ARCH),m68k)
     no_packages += gnat
+    CV_CPP		:= 4.1.2-$(REL_NO_412)
+    CV_GCC		:= 4.1.2-$(REL_NO_412)
+    CV_GPP		:= 4.1.2-$(REL_NO_412)
+    CV_GOBJC		:= 4.1.2-$(REL_NO_412)
+    CV_GOBJCXX		:= 4.1.2-$(REL_NO_412)
     CV_GCJ		:= 4.2.1-$(REL_NO_412)
     CV_GIJ		:= 4.2.1-$(REL_NO_412)
     CV_GCJ_HACKED	:= 4.1.2-$(REL_NO_412)
     CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
     CV_LIBGCJBC		:= 4.2.1-$(REL_NO_412)
     CV_LIBGCJCOMMON	:= 1:4.2-20070303-$(REL_NO_412)
+    REQV_CPP	= $(REQV_41)
+    REQV_GCC	= $(REQV_41)
+    REQV_GPP	= $(REQV_41)
+    REQV_GOBJC	= $(REQV_41)
+    REQV_GOBJCXX	= $(REQV_41)
     REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
     REQV_GCJ	= $(REQV_41)
     REQV_GIJ	= $(REQV_41)
@@ -237,30 +247,3 @@
     LIBGCJ_SONAME	= 71
 endif
 
-ifeq ($(DEB_HOST_ARCH),mips)
-endif
-
-ifeq ($(DEB_HOST_ARCH),mipsel)
-endif
-
-ifeq ($(DEB_HOST_ARCH),netbsd-i386)
-    OS_NAME	:= NetBSD
-    no_packages += gnat
-endif
-
-ifeq ($(DEB_HOST_ARCH),powerpc)
-endif
-
-ifeq ($(DEB_HOST_ARCH),s390)
-endif
-
-tmp:=$(filter $(DEB_HOST_ARCH),sh3-linux sh4-linux sh3eb-linux sh4eb-linux)
-ifeq ($(DEB_HOST_ARCH),$(tmp))
-    no_packages += gnat g77 gfortran gcj gpc
-endif
-
-ifeq ($(DEB_HOST_ARCH),sparc)
-endif
-
-ifneq (,$(findstring gnat, $(no_packages)))
-    no_packages += gnat-doc
