## gcc-defaults 1.62ubuntu6

=== debian/changelog ===
gcc-defaults (1.62ubuntu6) hardy-proposed; urgency=low

  * Remove special-casing of gnat versions on lpia, properly fixing
    both LP: #227184 and the dupe version breakage in the archive.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Jun 2008 18:00:01 -0600

gcc-defaults (1.62ubuntu5) hardy-proposed; urgency=low

  * Update release number for the binary gnat packages. LP: #227184.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 May 2008 07:48:04 +0000

gcc-defaults (1.62ubuntu4) hardy-proposed; urgency=low

  * Remove dangling symlink jv-scan. LP: #217661.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 May 2008 19:17:12 +0200
