=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6) [!armel], gcj-4.2-base (>= 4.2.1) [!hurd-i386 !hppa !m68k], gcc-4.2-base (>= 4.2.1), lsb-release
+Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcj-4.2-base (>= 4.2.3-1) [!hurd-i386 !hppa !m68k], gcc-4.2-base (>= 4.2.3-1), lsb-release
 
 Package: cpp
 Priority: optional
@@ -160,7 +160,7 @@
 Recommends: ${pkg:libgcjawt}
 Suggests: gcj (>= ${version:cpp})
 Conflicts: libgcj2 (<= 3.0.2-4), java-gcj-compat (<< 1.0.56) [hppa m68k], java-gcj-compat (<< 1.0.76-4) [!hppa !m68k]
-Provides: java-runtime, java1-runtime, java2-runtime, java-virtual-machine
+Provides: java-runtime-headless, java1-runtime-headless, java2-runtime-headless, java5-runtime-headless, java-virtual-machine
 Description: The GNU Java bytecode interpreter
  GIJ is not limited to interpreting bytecode. It includes a class loader which
  can dynamically load shared objects, so it is possible to give it the name
@@ -240,6 +240,43 @@
  Per policy, all packages that contain Ada sources must use this package
  in their Build-Depends line.
 
+Package: libgnatvsn-dev
+Architecture: alpha amd64 hppa i386 ia64 lpia mips mipsel powerpc s390 sparc kfreebsd-i386
+Priority: optional
+Depends: gnat (>= ${version:gnat}), libgnatvsn${pv:gnat}-dev ${reqv:gnat}
+Description: GNU Ada compiler version library - development files
+ This library exports selected components of GNAT, the GNU Ada compiler, for use
+ in other packages, most notably ASIS and ASIS-based packages.  It is licensed
+ under the GNAT-Modified GPL, allowing to link proprietary programs with it.
+ .
+ This package contains the development files and static library.
+
+Package: libgnatprj-dev
+Architecture: alpha amd64 hppa i386 ia64 lpia mips mipsel powerpc s390 sparc kfreebsd-i386
+Priority: optional
+Depends: gnat (>= ${version:gnat}), libgnatprj${pv:gnat}-dev ${reqv:gnat}
+Description: GNU Ada Project Manager development files
+ GNAT, the GNU Ada compiler, uses project files to organise source and object
+ files in large-scale development efforts.  Several other tools, such as
+ ASIS tools (package asis-programs) and GNAT Programming Studio (package
+ gnat-gps) also use project files.  This library contains the necessary
+ support; it was built from GNAT itself.  It is licensed under the pure GPL;
+ all programs that use it must also be distributed under the GPL, or not
+ distributed at all.
+ .
+ This package contains development files: install it to develop applications
+ that understand GNAT project files.
+
+Package: gdc
+Priority: optional
+Architecture: any
+Depends: gdc-${pv:gdc} ${reqv:gdc}
+Replaces: gdc-4.1 (<< 0.25-4.1.2-18), gdc-4.2 (<< 0.25-4.2.2-7)
+Description: The D compiler
+ This is a dependency package providing the default D compiler.
+ Per policy, all packages that contain D sources must use this package
+ in their Build-Depends line.
+
 Package: cpp-doc
 Section: doc
 Architecture: any
@@ -255,32 +292,3 @@
 Depends: g77-${pv:g77}-doc ${reqv:g77}
 Suggests: g77 (>= ${version:g77})
 Description: Documentation for the GNU Fortran compiler (g77)
- Documentation for the GNU Fortran compiler in info format (dependency package).
-
-Package: gfortran-doc
-Section: doc
-Architecture: any
-Priority: optional
-Depends: gfortran-${pv:gfort}-doc ${reqv:gfort}
-Suggests: gfortran (>= ${version:gfort})
-Description: Documentation for the GNU Fortran compiler (gfortran)
- Documentation for the GNU Fortran compiler in info format (dependency package).
-
-Package: gcc-doc
-Section: doc
-Architecture: any
-Priority: optional
-Depends: gcc-${pv:gcc}-doc ${reqv:gcc}
-Suggests: gcc (>= ${version:gcc})
-Description: Documentation for the GNU C compilers (gcc, gobjc, g++)
- Documentation for the GNU compilers in info format (dependency package).
-
-Package: gnat-doc
-Section: doc
-Architecture: any
-Priority: optional
-Depends: gnat-${pv:gcc}-doc ${reqv:gcc}
-Suggests: gnat (>= ${version:gcc})
-Description: Documentation for the GNU Ada compiler
- Documentation for the GNU Ada compiler in info and html format
- (dependency package).
