=== debian/rules ===
--- 
+++ 
@@ -113,7 +113,7 @@
 CV_GCJ		:= 4.2.3-$(REL_NO_423)
 CV_GIJ		:= 4.2.3-$(REL_NO_423)
 CV_LIBGCJBC	:= 4.2.3-$(REL_NO_423)
-CV_GNAT		:= 4.2.3-1
+CV_GNAT		:= 4.2.3-$(REL_NO_423)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
 CV_GDC		:= 4.2.3-$(REL_NO_423)
 CV_LIBGCJCOMMON	:= 1:4.2.3-$(REL_NO_423)
@@ -206,10 +206,6 @@
 
 ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
     OS_NAME	:= kFreeBSD
-endif
-
-ifeq ($(DEB_HOST_ARCH),lpia)
-    CV_GNAT     := 4.2.3-1
 endif
 
 ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
@@ -247,3 +243,6 @@
     LIBGCJ_SONAME	= 71
 endif
 
+ifeq ($(DEB_HOST_ARCH),mips)
+endif
+
